# Uses of Interface
org.opensaml.xacml.ctx.ResourceContentType

Packages that use ResourceContentType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of ResourceContentType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return ResourceContentType
Modifier and Type
Method
Description
`ResourceContentType`
ResourceType.`getResourceContent()`
Gets the content of the resource.
Methods in org.opensaml.xacml.ctx with parameters of type ResourceContentType
Modifier and Type
Method
Description
`void`
ResourceType.`setResourceContent(ResourceContentType content)`
Sets the content of the resource.

## Uses of ResourceContentType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement ResourceContentType
Modifier and Type
Class
Description
`class`
`ResourceContentTypeImpl`
Concrete implementation of `ResourceContentType`.
Fields in org.opensaml.xacml.ctx.impl declared as ResourceContentType
Modifier and Type
Field
Description
`private ResourceContentType`
ResourceTypeImpl.`resourceContent`
Resources content.
Methods in org.opensaml.xacml.ctx.impl that return ResourceContentType
Modifier and Type
Method
Description
`ResourceContentType`
ResourceContentTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResourceContentType`
ResourceContentTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ResourceContentType`
ResourceTypeImpl.`getResourceContent()`
Gets the content of the resource.
Methods in org.opensaml.xacml.ctx.impl with parameters of type ResourceContentType
Modifier and Type
Method
Description
`void`
ResourceTypeImpl.`setResourceContent(ResourceContentType content)`
Sets the content of the resource.